
module "memory-db" {
  source = "terraform-aws-modules/memory-db/aws"
  version = "2.0.0"
  acl_name = var.acl_name
  acl_tags = var.acl_tags
  acl_use_name_prefix = var.acl_use_name_prefix
  acl_user_names = var.acl_user_names
  auto_minor_version_upgrade = var.auto_minor_version_upgrade
  create = var.create
  create_acl = var.create_acl
  create_parameter_group = var.create_parameter_group
  create_subnet_group = var.create_subnet_group
  create_users = var.create_users
  data_tiering = var.data_tiering
  description = var.description
  engine_version = var.engine_version
  final_snapshot_name = var.final_snapshot_name
  kms_key_arn = var.kms_key_arn
  maintenance_window = var.maintenance_window
  name = var.name
  node_type = var.node_type
  num_replicas_per_shard = var.num_replicas_per_shard
  num_shards = var.num_shards
  parameter_group_description = var.parameter_group_description
  parameter_group_family = var.parameter_group_family
  parameter_group_name = var.parameter_group_name
  parameter_group_parameters = var.parameter_group_parameters
  parameter_group_tags = var.parameter_group_tags
  parameter_group_use_name_prefix = var.parameter_group_use_name_prefix
  port = var.port
  security_group_ids = var.security_group_ids
  snapshot_arns = var.snapshot_arns
  snapshot_name = var.snapshot_name
  snapshot_retention_limit = var.snapshot_retention_limit
  snapshot_window = var.snapshot_window
  sns_topic_arn = var.sns_topic_arn
  subnet_group_description = var.subnet_group_description
  subnet_group_name = var.subnet_group_name
  subnet_group_tags = var.subnet_group_tags
  subnet_group_use_name_prefix = var.subnet_group_use_name_prefix
  subnet_ids = var.subnet_ids
  tags = var.tags
  tls_enabled = var.tls_enabled
  use_name_prefix = var.use_name_prefix
  users = var.users
}
